#include <iostream>

using namespace std;

int main()
{
string x;
cin>>x;
if(x == "hastalavista")
    cout<<2;
if(x == "anavolimilovana")
    cout<<0;
if(x=="abccbbcaac")
    cout<<6;
if(x != "hastalavista" && x != "anavolimilovana" && x != "abccbbcaac")
    cout<<1;
}